%global gem_name sass
Name:                rubygem-%{gem_name}
Version:             3.7.3
Release:             1
Summary:             A powerful but elegant CSS compiler that makes CSS fun again
License:             MIT
URL:                 http://sass-lang.com/
Source0:             https://rubygems.org/gems/%{gem_name}-%{version}.gem
Source1:             https://github.com/sass/ruby-sass/archive/%{version}.tar.gz
Patch0:              rubygem-sass-3.5.6-use-listen.patch
BuildRequires:       ruby(release) rubygems-devel rubygem(listen) rubygem(minitest)
BuildArch:           noarch
%description
Sass makes CSS fun again. Sass is an extension of CSS, adding
nested rules, variables, mixins, selector inheritance, and more.
It's translated to well-formatted, standard CSS using the
command line tool or a web-framework plugin.

%package doc
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}
ln -s ruby-sass-%{version}/spec spec
ln -s ruby-sass-%{version}/test test
%gemspec_remove_dep -g sass-listen -s ../%{gem_name}-%{version}.gemspec
%gemspec_add_dep -g listen -s ../%{gem_name}-%{version}.gemspec
%patch0 -p1

%build
gem build ../%{gem_name}-%{version}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/
mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/
find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x
find %{buildroot}%{gem_instdir}/bin -type f | \
  xargs sed -i 's|^#!/usr/bin/env ruby|#!/usr/bin/ruby|'

%check
pushd .%{gem_instdir}
tar xaf %{SOURCE1}
ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/sass
%{_bindir}/sass-convert
%{_bindir}/scss
%exclude %{gem_instdir}/.*
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/REVISION
%{gem_instdir}/VERSION
%{gem_instdir}/VERSION_DATE
%{gem_instdir}/VERSION_NAME
%{gem_instdir}/bin
%{gem_instdir}/extra
%{gem_instdir}/init.rb
%{gem_libdir}
%{gem_instdir}/rails
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CODE_OF_CONDUCT.md
%doc %{gem_instdir}/CONTRIBUTING.md
%doc %{gem_instdir}/README.md

%changelog
* Wed Aug 19 2020 xiezheng <xiezheng4@huawei.com> - 3.7.3-1
- package init
